TechDraw Neue Ansicht

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw View and the translation is 65% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw NewView.svg Neue Ansicht

Menüeintrag
TechDraw → Ansicht in Zeichnung einfügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Neue Projektionsgruppe, Neue Schnittansicht


Beschreibung

Das Werkzeug »Neue Ansicht« fügt eine Ansicht von einem oder mehreren Objekten in die Zeichnungsseite ein. Das ist der wesentliche Baustein der TechDraw Module. Die meisten anderen Ansichten werden in gewisser Weise wie »Neue Ansicht« abgeleitet.

TechDraw View example.png

Ansicht eines massiven Würfels mit versteckten Linien


Anwendung

  1. Markiere eine oder mehrere Objekte (Body, Body > Part, Part > Features, Draft Object, ...siehe auch Hinweise) im 3D-Fenster oder in der Baumansicht.
  2. Wenn im Dokument mehrere Seiten vorhanden sind, muss die gewünschte Seite in der Baumansicht markiert werden.
  3. Auf die Schaltfläche Techdraw-view.png Ansicht in Zeichnung einfügen klicken.
  • »Neue Ansicht« versucht alles mit einer Shape-Eigenschaft zu zeichnen. Sie können auch Entwurf-Objekte und PartDesign-Körper auswählen. »Neue Ansicht« extrahiert auch beliebige Formen aus Objekten innerhalb eines App::Part-Containers oder einer Gruppe.

Eigenschaften

Daten

  • Daten-EigenschaftX: Horizontale Position der Ansicht auf der Seite. (*)
  • Daten-EigenschaftY: Vertikale Position der Ansicht auf der Seite. (*)
  • Daten-EigenschaftLockPosition: »True« – verhindert das Verschieben der Ansicht. Die Ansicht kann immer noch mit den X- und Y-Eigenschaften verschoben werden. (*)
  • Daten-EigenschaftRotation: Drehrichtung der Ansicht gegen den Uhrzeigersinn in Grad. (*)
  • Daten-EigenschaftScaleType: »Document« – es wird die Skalierungseinstellungen der Seite verwendet. »Custom« – verwendet für die Ansicht eine eindeutige Skalierung. »Automatic« – die Ansicht wird auf der Seite eingepasst. (*)
  • Daten-EigenschaftScale: Die Ansicht wird auf der Seite mit einem Maßstab von 1:Ursprung wiedergegeben. >1 = Abbildungsvergrößerung, <1 = Abbildungsverkleinerung. (*)
  • Daten-EigenschaftCaption: Optional ein kurzer Text als Bildunterschrift unter der Ansicht.
  • Daten-EigenschaftSource: Verlinkung zu dem markierten Zeichnungsobjekt.
  • Daten-EigenschaftDirection: Ein Vektor, der die Blickrichtung darstellt. Siehe Hinweis weiter unten (*)
  • Daten-EigenschaftPerspective: »True« für Perspektiv-Projektion und »False« für Parallel-Projektion.
  • Daten-EigenschaftFocus: Entfernung von der Kamera zur Projektionsfläche (perspektivische Projektion). Es wird benötigt, um das Objekt anzupassen. Ist das Objekt weit weg, geht die Perspektive verloren. Ist es zu nahe, wird das Objekt verzerrt.
  • Daten-EigenschaftCoarseView: »True« – TechDraw verwendet die polygonale Approximation, um die Geometrie in der Ansicht zu berechnen. »False« – TechDraw verwendet einen präzisen Algorithmus. Siehe auch unter »Hinweise«.
  • Daten-EigenschaftSmooth Visible Lines: Sichtbare »weiche« Linien AN/AUS.
  • Daten-EigenschaftSeam Visible Lines: Sichtbare Nahtlinien AN/AUS.
  • Daten-EigenschaftIso Visible Lines: Sichtbare isometrische (u, v) Linien AN/AUS.
  • Daten-EigenschaftHard Hidden Lines: Verdeckte »kräftige« Linien AN/AUS.
  • Daten-EigenschaftSmooth Hidden Lines: Verdeckte »weiche« Linien AN/AUS.
  • Daten-EigenschaftSeam Hidden Lines: Verdeckte Nahtlinien AN/AUS.
  • Daten-EigenschaftIso Hidden Lines: Verdeckte isometrische (u, v) Linien AN/AUS.
  • Daten-EigenschaftIso Count: Anzahl der isometrischen Linien (u, v) die für jede Fläche dargestellt wird.

(*) Diese Eigenschaften gelten für alle Ansichtstypen.

Ansicht

  • Ansicht EigenschaftKeep Label: »True» – die Beschriftung (Untertitel) der Ansicht wird immer dargestellt..
  • Ansicht EigenschaftLineWidth: Linienstärke der sichtbaren Linien. Siehe auch Liniengruppen.
  • Ansicht EigenschaftHiddenWidth: Lininienstärke der verdeckten Linien, wenn aktiviert.
  • Ansicht EigenschaftIsoWidth: Linienstärke der isometrischen (u, v) Flächen- und Bemaßungslinien.
  • Ansicht EigenschaftExtraWidth: Noch nicht implementiert.
  • Ansicht EigenschaftShowCenters: Kreis- / Bogenmittelpunkte AN/AUS.
  • Ansicht EigenschaftCenterScale: Größeneinstellung der Kreisbogenmarkierung, wenn aktiviert.
  • Ansicht EigenschaftHorizCenterLine: Horizontale Mittellinie durch die Ansicht wird dargestellt.
  • Ansicht EigenschaftVertCenterLine: Vertikale Mittellinie durch die Ansicht wird dargestellt.
  • Ansicht EigenschaftShowSectionLine: Schnittlinie ein- und ausblenden, falls vorhanden.

Programmierung

Siehe auch: TechDraw API und FreeCAD Scripting Basics.

Das Werkzeug »Neue Ansicht« kann mit Makros und von der Python-Konsole aus mithilfe der folgenden Funktionen verwendet werden:

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
FreeCAD.ActiveDocument.View.Source = [App.ActiveDocument.Box]
FreeCAD.ActiveDocument.View.Direction = (0.0,0.0,1.0)